---
title: FocusEvent.relatedTarget
slug: Web/API/FocusEvent/relatedTarget
tags:
  - API
  - Event
  - Experimental
  - FocusEvent
  - Property
  - Reference
---
<p>{{ apiref("DOM Events") }}</p>

<p>The <code><strong>FocusEvent.relatedTarget</strong></code> read-only property is the secondary target, depending on the type of event:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Event name</th>
   <th scope="col"><code>target</code></th>
   <th scope="col"><code>relatedTarget</code></th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{Event("blur")}}</td>
   <td>The {{domxref("EventTarget")}} losing focus</td>
   <td>The {{domxref("EventTarget")}} receiving focus (if any).</td>
  </tr>
  <tr>
   <td>{{Event("focus")}}</td>
   <td>The {{domxref("EventTarget")}} receiving focus</td>
   <td>The {{domxref("EventTarget")}} losing focus (if any)</td>
  </tr>
  <tr>
   <td>{{Event("focusin")}}</td>
   <td>The {{domxref("EventTarget")}} receiving focus</td>
   <td>The {{domxref("EventTarget")}} losing focus (if any)</td>
  </tr>
  <tr>
   <td>{{Event("focusout")}}</td>
   <td>The {{domxref("EventTarget")}} losing focus</td>
   <td>The {{domxref("EventTarget")}} receiving focus (if any)</td>
  </tr>
 </tbody>
</table>

<p>Note that <a href="https://stackoverflow.com/a/42764495/1026">many elements can't have focus</a>, which is a common reason for <code>relatedTarget</code> to be <code>null</code>. <code>relatedTarget</code> may also be set to <code>null</code> for security reasons, like when tabbing in or out of a page.</p>

<p>{{domxref("MouseEvent.relatedTarget")}} is a similar property for mouse events.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>secondTarget</em> = <em>focusEvent</em>.relatedTarget</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('UI Events', '#idl-focusevent', 'FocusEvent.relatedTarget')}}</td>
   <td>{{Spec2('UI Events')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events', '#widl-FocusEvent-relatedTarget', 'FocusEvent.relatedTarget')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FocusEvent.relatedTarget")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("FocusEvent")}} interface it belongs to.</li>
</ul>
